/** Pas à pas.
 * <p>
 * Dans cet exercice,
 * on observe des programmes s’exécuter pas à pas.
 * Pour cela ces programmes sont représentés par des objets qui satisfont
 * l’interface {@link iteration.Iteration}.
 * Pour exécuter un tel programme,
 * on peut employer une boucle comme la suivante :
 * <p>
 * <pre>
 * final Iteration p = …;
 * while ( ! p . isDone () ) {
 *   p . step ();
 * }
 * </pre>
 * <p>
 * Outre la simple exécution de programme,
 * ce-dernier peut être manipulé comme tout objet :
 * l’état peut être observé en tout point de l’exécution,
 * on peut compter le nombre de pas,
 * interrompre l’exécution, revenir en arrière,
 * agir sur l’état du programme pendant qu’il s’exécute, etc.
 * <p>
 * La classe {@link iteration.TP1} contient quelques exemples de programmes,
 * notamment {@link iteration.TP1#fibo},
 * qui calcule les termes de la suite de Fibonacci.
 */
package iteration;
